PageTypes: 
	TorneoPage:
		Icon: mysite/images/icons/torneo.png
		SingularName: "Torneo"
		Description: "Página que representa un torneo completo"
		AllowedChildren: DiaTorneo
		Fields:
			Circuito: {CMSField: Text , Label: Circuito}
		Components:
			SitioAutorizado:
				Type: many
				Interface:
					Type: grid
				Fields:
					Title: {CMSField: Text , Label: Nombre del sitio autorizado}
			
	DiaTorneo:
		Icon: mysite/images/icons/dia-torneo.png
		SingularName: "Día torneo"
		Description: "Día de un torneo"
		AllowedChildren: none
		Components:
			Ficha:
				Type:  many
				Interface:
					Type: grid
				DefaultSort: "CantidadFichas DESC"
				Fields:
					Title: {CMSField: Text, Label: Nombre}
					CantidadFichas: {CMSField: Number , Label: Cantidad de fichas}
			Noticia:
				Type: many
				Interface:
					Type: grid
				DefaultSort: "Date DESC, Created DESC"
				Fields:
					Title: {CMSField: Text , Label: Título}
					Date: {CMSField: Date}
					Content: {CMSField: Wysiwyg, Label: Contenido }
					Photo: {CMSField: Image, UploadFolder: noticias}



Components:
	ClaseTorneo:
		Fields:
			Nombre: {CMSField: Text}
		Interface:
			Type: modeladmin
			Icon: /path/to/icon.png
			Title: Clase de Torneo
			ShowImport: false


